org.richfaces.component

## Class AbstractPopupPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractPopupPanel

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, EventsPopupsBeforeProps, EventsPopupsProps, PopupsProps, StyleClassProps, StyleProps
  Direct Known Subclasses:
    UIPopupPanel

      public abstract class AbstractPopupPanel
      extends javax.faces.component.UIComponentBase
      implements EventsPopupsProps, EventsPopupsBeforeProps, PopupsProps, StyleProps, StyleClassProps

  The <rich:popupPanel> component provides a pop-up panel or window that appears in front of the rest of the application. The <rich:popupPanel> component functions either as a modal window which blocks interaction with the rest of the application while active, or as a non-modal window. It can be positioned on the screen, dragged to a new position by the user, and re-sized.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPopupPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getControlsClass()` Assigns one or more space-separated CSS class names to the component controls
    `abstract String` | `getDomElementAttachment()` Defines the DOM element, which stacking context will assimilate the popupPanel.
    `String` | `getFamily()`
    `abstract String` | `getHeader()` Assigns the header for the popupPanel.
    `abstract String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to the component header
    `abstract int` | `getHeight()` Attribute defines height of component.
    `abstract String` | `getLeft()` Attribute defines X position of component left-top corner.
    `abstract int` | `getMaxHeight()` Attribute defines max height of component.
    `abstract int` | `getMaxWidth()` Attribute defines max width of component.
    `abstract int` | `getMinHeight()` Attribute defines min height of component.
    `abstract int` | `getMinWidth()` Attribute defines min width of component.
    `abstract String` | `getOnmaskclick()` Javascript code executed when a pointer button is clicked over the popupPanel mask.
    `abstract String` | `getOnmaskcontextmenu()` Javascript code executed when a pointer button for context menu is clicked over the popupPanel mask.
    `abstract String` | `getOnmaskdblclick()` Javascript code executed when a pointer button is double clicked over the popupPanel mask.
    `abstract String` | `getOnmaskmousedown()` Javascript code executed when a pointer button is pressed down over the popupPanel mask.
    `abstract String` | `getOnmaskmousemove()` Javascript code executed when a pointer button is moved within the popupPanel mask.
    `abstract String` | `getOnmaskmouseout()` Javascript code executed when a pointer button is moved away from the popupPanel mask.
    `abstract String` | `getOnmaskmouseover()` Javascript code executed when a pointer button is moved onto the popupPanel mask.
    `abstract String` | `getOnmaskmouseup()` Javascript code executed when a pointer button is released over the popupPanel mask.
    `abstract String` | `getOnmove()` The client-side script method to be called before the modal panel is moved
    `abstract String` | `getOnresize()` The client-side script method to be called when the modal panel is resized
    `abstract String` | `getShadowDepth()` Pop-up shadow depth for suggestion content
    `abstract String` | `getShadowOpacity()` HTML CSS class attribute of element for pop-up suggestion content
    `abstract String` | `getTop()` Attribute defines Y position of component left-top corner.
    `abstract String` | `getVisualOptions()` Defines options that were specified on the client side
    `abstract int` | `getWidth()` Attribute defines width of component.
    `abstract int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content.
    `abstract boolean` | `isAutosized()` If "true" popupPanel will be auto-sized according to the content.
    `abstract boolean` | `isFollowByScroll()` Defines whenever the popup will follow the scrolling of the screen.
    `abstract boolean` | `isKeepVisualState()` If "true" popupPanel should save state after submission.
    `abstract boolean` | `isModal()` If "true", popupPanel will be modal - it will block the main screen from any operation.
    `abstract boolean` | `isMoveable()` If "true" there is possibility to move component.
    `abstract boolean` | `isOverlapEmbedObjects()` If "true" popupPanel creates iframe to overlap embed objects like PDF on a page.
    `abstract boolean` | `isResizeable()` If "true" there is possibility to change component size.
    `abstract boolean` | `isShow()` If "true" value for this attribute makes a modal panel opened as default.
    `abstract boolean` | `isTrimOverlayedElements()` Defines whether to trim or not elements inside popupPanel.
    `abstract void` | `setShow(boolean show)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsPopupsProps

      `getOnhide, getOnshow`

    - ### Methods inherited from interface org.richfaces.component.attribute.EventsPopupsBeforeProps

      `getOnbeforehide, getOnbeforeshow`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleProps

      `getStyle`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleClassProps

      `getStyleClass`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractPopupPanel

          public AbstractPopupPanel()

  - ### Method Detail

    - #### getVisualOptions

          public abstract String getVisualOptions()

      Defines options that were specified on the client side

    - #### getZindex

          public abstract int getZindex()

      Description copied from interface: `PopupsProps`
      Attribute is similar to the standard HTML attribute and can specify window placement relative to the content. Default value is "3".
      Specified by:
        `getZindex` in interface `PopupsProps`

    - #### getHeight

          public abstract int getHeight()

      Attribute defines height of component. Default value is "300".

    - #### getWidth

          public abstract int getWidth()

      Attribute defines width of component. Default value is "200".

    - #### getMinHeight

          public abstract int getMinHeight()

      Attribute defines min height of component. Default value is "10". If the value is less then 10, a "IllegalArgumentException" exception is thrown.

    - #### getMinWidth

          public abstract int getMinWidth()

      Attribute defines min width of component. Default value is "10". If the value is less then 10, a "IllegalArgumentException" exception is thrown.

    - #### getMaxHeight

          public abstract int getMaxHeight()

      Attribute defines max height of component.

    - #### getMaxWidth

          public abstract int getMaxWidth()

      Attribute defines max width of component.

    - #### getTop

          public abstract String getTop()

      Attribute defines Y position of component left-top corner. Default value is "auto".

    - #### getLeft

          public abstract String getLeft()

      Attribute defines X position of component left-top corner. Default value is "auto".

    - #### isShow

          public abstract boolean isShow()

      If "true" value for this attribute makes a modal panel opened as default. Default value is "false"

    - #### setShow

          public abstract void setShow(boolean show)

    - #### isMoveable

          public abstract boolean isMoveable()

      If "true" there is possibility to move component. Default value is "true".

    - #### isAutosized

          public abstract boolean isAutosized()

      If "true" popupPanel will be auto-sized according to the content. Default value is "false".

    - #### isModal

          public abstract boolean isModal()

      If "true", popupPanel will be modal - it will block the main screen from any operation.

    - #### isKeepVisualState

          public abstract boolean isKeepVisualState()

      If "true" popupPanel should save state after submission. Default value is "false".

    - #### isOverlapEmbedObjects

          public abstract boolean isOverlapEmbedObjects()

      If "true" popupPanel creates iframe to overlap embed objects like PDF on a page. Default value is "false".

    - #### isResizeable

          public abstract boolean isResizeable()

      If "true" there is possibility to change component size. Default value is "true".

    - #### isTrimOverlayedElements

          public abstract boolean isTrimOverlayedElements()

      Defines whether to trim or not elements inside popupPanel. Default value is "true"

    - #### getDomElementAttachment

          public abstract String getDomElementAttachment()

      Defines the DOM element, which stacking context will assimilate the popupPanel. Possible values: "body", "form", "parent". Default value is "body".

    - #### getControlsClass

          public abstract String getControlsClass()

      Assigns one or more space-separated CSS class names to the component controls

    - #### getHeader

          public abstract String getHeader()

      Assigns the header for the popupPanel.

    - #### getHeaderClass

          public abstract String getHeaderClass()

      Assigns one or more space-separated CSS class names to the component header

    - #### getShadowDepth

          public abstract String getShadowDepth()

      Pop-up shadow depth for suggestion content

    - #### getShadowOpacity

          public abstract String getShadowOpacity()

      HTML CSS class attribute of element for pop-up suggestion content

    - #### isFollowByScroll

          public abstract boolean isFollowByScroll()

      Defines whenever the popup will follow the scrolling of the screen. Default value is "true".

    - #### getOnmaskclick

          public abstract String getOnmaskclick()

      Javascript code executed when a pointer button is clicked over the popupPanel mask.

    - #### getOnmaskdblclick

          public abstract String getOnmaskdblclick()

      Javascript code executed when a pointer button is double clicked over the popupPanel mask.

    - #### getOnmaskmousedown

          public abstract String getOnmaskmousedown()

      Javascript code executed when a pointer button is pressed down over the popupPanel mask.

    - #### getOnmaskmouseup

          public abstract String getOnmaskmouseup()

      Javascript code executed when a pointer button is released over the popupPanel mask.

    - #### getOnmaskmouseover

          public abstract String getOnmaskmouseover()

      Javascript code executed when a pointer button is moved onto the popupPanel mask.

    - #### getOnmaskmousemove

          public abstract String getOnmaskmousemove()

      Javascript code executed when a pointer button is moved within the popupPanel mask.

    - #### getOnmaskcontextmenu

          public abstract String getOnmaskcontextmenu()

      Javascript code executed when a pointer button for context menu is clicked over the popupPanel mask.

    - #### getOnmaskmouseout

          public abstract String getOnmaskmouseout()

      Javascript code executed when a pointer button is moved away from the popupPanel mask.

    - #### getOnresize

          public abstract String getOnresize()

      The client-side script method to be called when the modal panel is resized

    - #### getOnmove

          public abstract String getOnmove()

      The client-side script method to be called before the modal panel is moved

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.